Subject: Re: [RFC] BOOKE watchdog and kexec

From: Geoff Levand <[email-masked]>
Date: Tue, 22 May 2007 17:18:50 -0700

Dave Jiang wrote:
> What would be the appropriate way to deal with the BOOKE watchdog in order to
> properly kexec? The BOOKE watchdog cannot be disabled. With the current
> implementation, a watchdog daemon in userland is required to poke the
> /dev/watchdog continously in order to keep it from going off. In the kexec
> situation, the watchdog daemon in userland goes away when the new kernel is
> executed. It is very possible that the new kernel can potentially timeout on a
> certain hardware device initialization (i.e. SCSI discovery/timeout) and causes
> the watchdog to go off and reset the hardware. The reset is of course not
> wanted in this situation.

I would think the same situation exists when the bootloader loads the first
kernel.  If that works, then you should be able to use the same mechanism to
get the second kernel up.

-Geoff